# dba_delete

(PHP 4, PHP 5, PHP 7)

dba_delete — Delete DBA entry specified by key

### Description

dba_delete ( string `$key` , resource `$handle` ) : bool

dba_delete() deletes the specified entry from the database.

### Parameters

`key`

  The key of the entry which is deleted.

`handle`

  The database handler, returned by dba_open() or dba_popen().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- dba_exists() - Check whether key exists
- dba_fetch() - Fetch data specified by key
- dba_insert() - Insert entry
- dba_replace() - Replace or insert entry